PLaSK library

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Friends | List of all members
kubly::warstwa_skraj Class Reference

`#include <solvers/gain/wasiak/wzmocnienie/kublybr.h>`

Inheritance diagram for kubly::warstwa_skraj:
[legend]
Collaboration diagram for kubly::warstwa_skraj:
[legend]

## Public Types
enum | strona { lewa , prawa }

## Public Member Functions
| warstwa_skraj (strona lczyp, double m_p, double m_r, double x, double y)
| warstwa_skraj ()
| warstwa_skraj (const warstwa_skraj &)
double | ffala (double x, double E) const
double | ffalb (double x, double E) const
double | ffala_prim (double x, double E) const
double | ffalb_prim (double x, double E) const
double | funkcjafal (double x, double E, double C) const
double | funkcjafal_prim (double x, double E, double C) const
parad | AB_z_wartp (double w, double wp, double E) const
Public Member Functions inherited from kubly::warstwa
| warstwa (double m_p, double m_r, double x_p, double y_p, double x_k, double y_k, double niepar=0, double niepar_2=0)
double | ffala (double x, double E) const
double | ffalb (double x, double E) const
double | ffala_prim (double x, double E) const
double | ffalb_prim (double x, double E) const

## Friends
class | struktura
class | obszar_aktywny
class | wzmocnienie

## Additional Inherited Members
Protected Member Functions inherited from kubly::warstwa
double | tryga (double x, double E) const
double | trygb (double x, double E) const
double | expa (double x, double E) const
double | expb (double x, double E) const
double | Ai (double x, double E) const
double | Ai_skala (double x, double E) const
double | Bi (double x, double E) const
double | Bi_skala (double x, double E) const
double | tryga_prim (double x, double E) const
double | trygb_prim (double x, double E) const
double | expa_prim (double x, double E) const
double | expb_prim (double x, double E) const
double | Ai_prim (double x, double E) const
double | Ai_prim_skala (double x, double E) const
double | Bi_prim (double x, double E) const
double | Bi_prim_skala (double x, double E) const
double | funkcjafal (double x, double E, double A, double B) const
double | funkcjafal_prim (double x, double E, double A, double B) const
parad | AB_z_wartp (double w, double wp, double E) const
double | k_kwadr (double E) const
double | Eodk (double k) const
void | przesun_igreki (double)
Protected Attributes inherited from kubly::warstwa
warstwa * | nast
double | masa_r

## Detailed Description

Definition at line 137 of file kublybr.h.

## Member Enumeration Documentation

## ◆ strona

enum kubly::warstwa_skraj::strona

Enumerator
lewa |
prawa |

Definition at line 144 of file kublybr.h.

## Constructor & Destructor Documentation

## ◆ warstwa_skraj() [1/3]

kubly::warstwa_skraj::warstwa_skraj | ( | strona | lczyp,
|  | double | m_p,
|  | double | m_r,
|  | double | x,
|  | double | y
| ) |  |

Definition at line 96 of file kublybr.cc.

## ◆ warstwa_skraj() [2/3]

kubly::warstwa_skraj::warstwa_skraj | ( |  | ) |

Definition at line 102 of file kublybr.cc.

## ◆ warstwa_skraj() [3/3]

kubly::warstwa_skraj::warstwa_skraj | ( | const warstwa_skraj & | war | ) |

Definition at line 104 of file kublybr.cc.

## Member Function Documentation

## ◆ AB_z_wartp()

parad kubly::warstwa_skraj::AB_z_wartp | ( | double | w,
|  | double | wp,
|  | double | E
| ) |  | const

Definition at line 916 of file kublybr.cc.

## ◆ ffala()

double kubly::warstwa_skraj::ffala | ( | double | x,
|  | double | E
| ) |  | const

Definition at line 1470 of file kublybr.cc.

## ◆ ffala_prim()

double kubly::warstwa_skraj::ffala_prim | ( | double | x,
|  | double | E
| ) |  | const

Definition at line 1517 of file kublybr.cc.

## ◆ ffalb()

double kubly::warstwa_skraj::ffalb | ( | double | x,
|  | double | E
| ) |  | const

Definition at line 1494 of file kublybr.cc.

## ◆ ffalb_prim()

double kubly::warstwa_skraj::ffalb_prim | ( | double | x,
|  | double | E
| ) |  | const

Definition at line 1540 of file kublybr.cc.

## ◆ funkcjafal()

double kubly::warstwa_skraj::funkcjafal | ( | double | x,
|  | double | E,
|  | double | C
| ) |  | const

Definition at line 1577 of file kublybr.cc.

## ◆ funkcjafal_prim()

double kubly::warstwa_skraj::funkcjafal_prim | ( | double | x,
|  | double | E,
|  | double | C
| ) |  | const

Definition at line 1591 of file kublybr.cc.

## Friends And Related Symbol Documentation

## ◆ obszar_aktywny

friend class obszar_aktywny
| friend

Definition at line 140 of file kublybr.h.

## ◆ struktura

friend class struktura
| friend

Definition at line 139 of file kublybr.h.

## ◆ wzmocnienie

friend class wzmocnienie
| friend

Definition at line 141 of file kublybr.h.

The documentation for this class was generated from the following files:

- solvers/gain/wasiak/wzmocnienie/kublybr.h
- solvers/gain/wasiak/wzmocnienie/kublybr.cc